<script>
    export let plotElement;
    export let data;
    export let xScale;
    export let yScale;

    let maxval = 0;
    let maxvaldate = new Date();
    let x = 0;
    let y = 0;
    $: {
        maxval = Math.max.apply(Math, data.map(function(o){return o[plotElement.parameter];}));
        maxvaldate = data.find(function(o){ return o[plotElement.parameter] == maxval; });
        if (time in maxvaldate) {
            x = xScale(maxvaldate.time);
            y = yScale(maxval);
        }
        console.log(x,y);
    }
</script>

{#await data}
{:then datapoints}
{#if datapoints.length >0}
    <text x={x}
        y={y}
        style="font-size: 11px;">{maxval}</text>
{/if}
{/await}
<style>

</style>
